Bug 182440 - Review Request: fcgi - High-performance Fast CGI engine
Review Request: fcgi - High-performance Fast CGI engine
Status: CLOSED DUPLICATE of bug 231315
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-02-22 11:31 EST by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 13:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-02-22 11:31:46 EST
Spec Name or Url: http://blues.mcgill.ca/~icon/fe/fcgi.spec
SRPM Name or Url: http://blues.mcgill.ca/~icon/fe/fcgi-2.4.0-1.src.rpm
Description:
FastCGI  is a language independent, scalable, open extension to CGI that 
provides high performance without the limitations of server specific APIs.
Comment 1 Paul Howarth 2006-02-22 13:35:30 EST
Is this really BSD-ish? Doesn't look very free to me:

Open Market permits you to use, copy, modify, distribute, and license
this Software and the Documentation solely for the purpose of
implementing the FastCGI specification defined by Open Market or
derivative specifications publicly endorsed by Open Market and
promulgated by an open standards organization and for no other
purpose, provided that existing copyright notices are retained in all
copies and that this notice is included verbatim in any distributions.

No written agreement, license, or royalty fee is required for any of
the authorized uses.  Modifications to this Software and Documentation
may be copyrighted by their authors and need not follow the licensing
terms described here, but the modified Software and Documentation must
be used for the sole purpose of implementing the FastCGI specification
defined by Open Market or derivative specifications publicly endorsed
by Open Market and promulgated by an open standards organization and
for no other purpose.  If modifications to this Software and
Documentation have new licensing terms, the new terms must protect Open
Market's proprietary rights in the Software and Documentation to the
same extent as these licensing terms and must be clearly indicated on
the first page of each file where they apply.

Comment 2 Konstantin Ryabitsev 2006-02-22 14:15:14 EST
Where did you get that? LICENSE.TERMS shipping with the tarball is:

---
This FastCGI application library source and object code (the
"Software") and its documentation (the "Documentation") are
copyrighted by Open Market, Inc ("Open Market").  The following terms
apply to all files associated with the Software and Documentation
unless explicitly disclaimed in individual files.

Open Market permits you to use, copy, modify, distribute, and license
this Software and the Documentation for any purpose, provided that
existing copyright notices are retained in all copies and that this
notice is included verbatim in any distributions.  No written
agreement, license, or royalty fee is required for any of the
authorized uses.  Modifications to this Software and Documentation may
be copyrighted by their authors and need not follow the licensing
terms described here.  If modifications to this Software and
Documentation have new licensing terms, the new terms must be clearly
indicated on the first page of each file where they apply.

OPEN MARKET MAKES NO EXPRESS OR IMPLIED WARRANTY WITH RESPECT TO THE
SOFTWARE OR THE DOCUMENTATION, INCLUDING WITHOUT LIMITATION ANY
WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  IN
NO EVENT SHALL OPEN MARKET BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY
DAMAGES ARISING FROM OR RELATING TO THIS SOFTWARE OR THE
DOCUMENTATION, INCLUDING, WITHOUT LIMITATION, ANY INDIRECT, SPECIAL OR
CONSEQUENTIAL DAMAGES OR SIMILAR DAMAGES, INCLUDING LOST PROFITS OR
LOST DATA, EVEN IF OPEN MARKET HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES.  THE SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS".
OPEN MARKET HAS NO LIABILITY IN CONTRACT, TORT, NEGLIGENCE OR
OTHERWISE ARISING OUT OF THIS SOFTWARE OR THE DOCUMENTATION.
---

This is more or less creative commons "by" clause.
Comment 3 Paul Howarth 2006-02-22 14:18:09 EST
(In reply to comment #2)
> Where did you get that? LICENSE.TERMS shipping with the tarball is:

(snip BSD-ish license)

Curious. I got it from http://fastcgi.com/mod_fastcgi/docs/LICENSE.TERMS which I
believed to be a copy of what was in the tarball.
Comment 4 Konstantin Ryabitsev 2006-02-22 14:19:54 EST
Note the "mod_fastcgi" in the URL. :) You want:
http://www.fastcgi.com/cvs/fcgi2/LICENSE.TERMS
Comment 5 Miloslav Trmač 2006-03-07 00:20:44 EST
Looks good.

The only issue I've noticed is that the naming guidelines assume all perl modules
are in CPAN, this one seems to be an exception.  The "perl-fcgi" name is unlikely
to clash with CPAN's FCGI/* hierarchy and thus probably OK.

Accepted.
Comment 6 Ralf Corsepius 2006-03-07 00:47:11 EST
(In reply to comment #5)
> The only issue I've noticed is that the naming guidelines assume all perl
> modules are in CPAN, this one seems to be an exception.
> The "perl-fcgi" name is unlikely
> to clash with CPAN's FCGI/* hierarchy and thus probably OK.
Hmm, what I dislike about the perl subpackage it being called perl-fcgi.

IMO, it should be called perl-FCGI, because it provides perl(FCGI).
Comment 7 Miloslav Trmač 2006-03-07 01:01:33 EST
Oh... CPAN's FCGI-0.67 is the same module that is included in this package, I was
confused by the different version number.

I'm sorry I have missed that.

So it indeed should be perl-FCGI, and it should probably be built as a separate
source package, not from the sources bundled with the C libfcgi.
Comment 8 Konstantin Ryabitsev 2006-03-07 09:53:50 EST
Hmm... Seeing as it's a bundle of a separate project, are there any objections
if I drop the perl subpackage altogether? I don't use much perl, so tracking a
CPAN package would be troublesome for me.
Comment 9 Miloslav Trmač 2006-03-07 09:55:03 EST
I certainly wouldn't mind.
Comment 10 Ralf Corsepius 2006-03-07 10:00:50 EST
(In reply to comment #9)
> I certainly wouldn't mind.

I guess you are aware that perl-FCGI quite popular?
Comment 11 Miloslav Trmač 2006-03-07 10:07:18 EST
(In reply to comment #10)
> I guess you are aware that perl-FCGI quite popular?
Well, splitting the packages is the technically correct solution and I can't
force Konstantin to package perl-FCGI.  If it is so popular, somebody will
package it eventually.
Comment 12 Konstantin Ryabitsev 2006-03-07 10:16:13 EST
Right, all I meant was "let someone else do it," since I'm highly unlikely to
use the Perl bindings, and therefore won't be able to do any useful
troubleshooting or testing. :)

C library, on the other hand, I will be using quite a bit. I'll re-spec the
packages and put them up for one more glance before importing them.
Comment 14 Till Maas 2007-03-07 13:21:53 EST
There was no activity for one year here and I submitted another review of this
package as #231315 by accident - do you still want to package fcgi (you can use
my spec If you want) or shall I close this review?
Comment 15 Konstantin Ryabitsev 2007-03-07 13:53:07 EST
Please go right ahead -- I'm not running fcgi any more, so won't be a good
maintainer.

*** This bug has been marked as a duplicate of 231315 ***

Note You need to log in before you can comment on or make changes to this bug.